/**
 * windows93 - v2.0.0 - Wed, 14 Jun 2017 15:32:50 GMT
 * http://www.windows93.net
 * (w) 2017 WTFPL
 * by @jankenpopp & @zombectro
 */
@font-face {
    font-family: px_sans_nouveaux;
    src: url(/c/sys/fonts/lc.woff2) format('woff2');
}

@font-face {
    font-family: px_icons;
    src: url(/c/sys/fonts/px_icons/px_icons.eot);
    src: url(/c/sys/fonts/px_icons/px_icons.eot?#iefix) format('embedded-opentype'), url(/c/sys/fonts/px_icons/px_icons.woff2) format('woff2'), url(/c/sys/fonts/px_icons/px_icons.woff) format('woff'), url(/c/sys/fonts/px_icons/px_icons.ttf) format('truetype'), url(/c/sys/fonts/px_icons/px_icons.svg#px_iconsregular) format('svg')
}

/* Sorry */
@font-face {
    font-family: _tomo;
    src: url(/c/sys/fonts/lc.woff2) format('woff2');
    font-size: 100%;
}

@font-face {
    font-family: "Segoe UI";
    src: url(/c/sys/fonts/sg.woff2) format('woff2');
}
@font-face {
    font-family: "LC1";
    src: url(/c/sys/fonts/lc.woff2) format('woff2');
}

#s42_background>canvas,
#s42_background>img {
    position: absolute;
    z-index: 999999;
    border: 1px solid #f00;
    pointer-events: none
}

#splashscreen1 {
  transition-property: opacity;
  transition-duration: .8s;
}

code,
key,
pre,
.ui_alert--code .ui_alert__text,
.ui_terminal,
.ui_terminal *,
.ui_texteditor .CodeMirror,
.font_tomo {
    font-family: _tomo, "LC1";
    font-size: 14px;
    line-height: 1.5
}

.ui_texteditor .CodeMirror-linenumber {
    min-width: 3em
}

.ui_texteditor .cm-invalidchar {
    color: #f0f
}

html body input[type=button][disabled],
html body input[type=submit][disabled],
html body button[disabled],
.skin_base_text_info {
    color: #525252;
    text-shadow: 0 1px 0 rgba(255, 255, 255, .6)
}

.ui_icon {
    color: #000
}

.ui_icon__lnk42 {
    color: #004cff
}

#ui_explorer_0>.ui_icon {
    color: #fff;
    text-shadow: 1px 1px black;
}

#ui_explorer_0>.ui_icon__lnk42 {
    color: #fff;
    text-shadow: 1px 1px black;
}

.ui_icon.ui_is_dragging>span {
    color: #fff;
    background: #0090e4;
    box-shadow: 1px 1px 0 0 rgba(0, 0, 0, .2) inset, 2px 2px 0 0 rgba(0, 0, 0, .5)
}

.ui_icon.ui_is_dragging>.ico,
.ui_icon.ui_is_dragging>img {
    filter: drop-shadow(2px 2px 0 rgba(0, 0, 0, .5))
}

.ui_icon.ui_selected>span {
    outline-color: rgba(255, 255, 255, .8);
    background: #0090e4;
    color: #fff;
    text-shadow: 0 0 transparent
}

.ui_icon.ui_selected:not(.ui_is_dragging)>.ico,
.ui_icon.ui_selected:not(.ui_is_dragging)>img {
    filter: brightness(.5) sepia(100%) hue-rotate(180deg) saturate(8)
}

.ui_icon.ui_disabled>.ico,
.ui_icon.ui_disabled>img {
    opacity: .4;
    filter: brightness(.6) sepia(100%) saturate(0)
}

.ui_icon.ui_disabled>span {
    opacity: .4
}

.ui_icon__lnk42.ui_selected>span {
    color: #b2fcff;
    background: #0080cb
}

.cursor_default,
label,
.ui_menu--scroller>.ui_menu__up_handler:disabled,
.ui_menu--scroller>.ui_menu__down_handler:disabled,
.ui_menu .ui_menu__item--disabled,
html,
body,
input[readonly]:not([type="checkbox"]):not([type="radio"]):not([type="range"]),
textarea[readonly] {
    cursor: url(/c/sys/cursors/default.cur), default
}

.cursor_minicross {
    cursor: url(/c/sys/cursors/minicross.cur), crosshair
}

.cursor_cross {
    cursor: url(/c/sys/cursors/cross.cur), crosshair
}

.cursor_crosshair {
    cursor: url(/c/sys/cursors/crosshair.cur), crosshair
}

.cursor_pointer,
.app_corglitch,
.ui_notif span,
.ui_menu .ui_menu__item,
.ui_icon>img,
.ui_icon>.ico,
.ui_icon>span,
input[type=checkbox],
input[type=radio],
button,
a {
    cursor: url(/c/sys/cursors/pointer.cur), pointer
}

.cursor_metal {
    cursor: url(/c/sys/cursors/metal.cur), pointer
}

.cursor_text,
input,
textarea,
.ui_texteditor .CodeMirror {
    cursor: url(/c/sys/cursors/text.cur), text
}

.cursor_move,
.ui_window--draggable {
    cursor: url(/c/sys/cursors/move.cur), move
}

.cursor_not-allowed,
html>body [disabled] {
    cursor: url(/c/sys/cursors/not-allowed.cur), not-allowed
}

.ui_dropzone,
.ui_dropzone * {
    cursor: url(/c/sys/cursors/drag.cur), -webkit-grabbing !important;
    cursor: url(/c/sys/cursors/drag.cur), grabbing !important
}

.ui_dropzone--move,
.ui_dropzone--move *,
.ui_dropzone--droppable,
.ui_dropzone--droppable * {
    cursor: url(/c/sys/cursors/drag-move.cur), -webkit-grabbing !important;
    cursor: url(/c/sys/cursors/drag-move.cur), grabbing !important
}

.ui_dropzone--copy,
.ui_dropzone--copy * {
    cursor: url(/c/sys/cursors/drag-copy.cur), copy !important
}

.ui_dropzone--link,
.ui_dropzone--link * {
    cursor: url(/c/sys/cursors/drag-link.cur), alias !important
}

.ui_dropzone--no-drop,
.ui_dropzone--no-drop * {
    cursor: url(/c/sys/cursors/drag-no-drop.cur), no-drop !important
}

blink {
    animation: blinker steps(1) 1s infinite
}

#s42_bios {
    overflow-y: auto
}

#s42_bios .delay0,
#s42_bios .delay0 * {
    animation: displayBiosError .3s
}

#s42_bios .delay1,
#s42_bios .delay1 * {
    animation: displayBiosError 1s
}

#s42_bios .delay2,
#s42_bios .delay2 * {
    animation: displayBiosError 15s
}

#s42_bios .delay3,
#s42_bios .delay3 * {
    animation: displayBiosError 25s
}

#s42_bios>blink {
    display: block;
    overflow: hidden
}

html,
body,
button,
input,
select,
option,
textarea {
    font-family: "Segoe UI", Arial, Helvetica, sans-serif;
    font-size: 14px
}

canvas {
    image-rendering: optimizeSpeed;
    image-rendering: -moz-crisp-edges;
    image-rendering: -o-crisp-edges;
    image-rendering: -webkit-optimize-contrast;
    image-rendering: optimize-contrast;
    image-rendering: crisp-edges;
    image-rendering: pixelated;
    -ms-interpolation-mode: nearest-neighbor
}

h1,
h3,
h4,
b,
strong,
th,
.bold {
    font-weight: 400 !important;
    text-shadow: -1px 0;
    letter-spacing: 1px
}

h1,
h2,
h3 {
    font-weight: 400;
    font-size: 16px
}

h1:first-of-type {
    margin-top: 0
}

::-moz-selection {
    background: #c3ff00;
    color: #000;
    text-shadow: none
}

::-moz-selection {
    background: #c3ff00;
    color: #000;
    text-shadow: none
}

::selection {
    background: #c3ff00;
    color: #000;
    text-shadow: none
}

[data-keyboard-id] {
    outline: 0 none
}

.startmenu_cmd {
    color: gray
}

#s42_screen {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0
}

#s42_screen,
.ui_unselectable,
.ui_window__head,
.ui_menu,
.ui_explorer>.ui_icon {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none
}

input,
textarea,
.ui_window__body,
.ui_selectable {
    -webkit-touch-callout: default;
    -webkit-user-select: text;
    -moz-user-select: text;
    -ms-user-select: text;
    user-select: text
}

label {
    line-height: 16px;
    padding: 1px 3px;
    padding-top: 3px
}

input:not([type="checkbox"]):not([type="radio"]):not([type="range"]),
select,
textarea {
    background: #fff;
    line-height: 16px;
    padding: 1px 3px;
    padding-top: 2px;
    padding-left: 3px;
    text-indent: 2px
}

textarea {
    resize: none;
    text-indent: 0;
    color: #000
}

select {
    padding-left: 0;
    text-indent: 0
}

input:not([type="checkbox"]):not([type="radio"]):not([type="range"]),
select,
textarea,
.skin_inset_deep,
.ui_alert--help .ui_alert__text {
    border-top: 1px solid gray;
    border-left: 1px solid gray;
    border-right: 1px solid #dfdfdf;
    border-bottom: 1px solid #dfdfdf;
    box-shadow: 1px 0 #fff, 0 1px #fff, 1px 1px #fff;
    margin-right: 1px;
    margin-bottom: 1px
}

input:not([type="checkbox"]):not([type="radio"]):not([type="range"]):focus,
select:focus,
textarea:focus {
    outline-color: #000;
    outline-style: dotted;
    outline-width: 1px;
    outline-offset: -3px
}

input:not([type="checkbox"]):not([type="radio"]):not([type="range"]):focus::-moz-focus-inner,
select:focus::-moz-focus-inner,
textarea:focus::-moz-focus-inner {
    border-color: transparent
}

input[readonly]:not([type="checkbox"]):not([type="radio"]):not([type="range"]),
textarea[readonly] {
    background: #aaa
}

input[readonly]:not([type="checkbox"]):not([type="radio"]):not([type="range"]):focus,
textarea[readonly]:focus {
    outline: 0 none
}

input[disabled]:not([type="checkbox"]):not([type="radio"]):not([type="range"]),
select[disabled],
textarea[disabled] {
    opacity: .5
}

.ui_window__body.skin_inset_deep {
    margin-bottom: 1px
}

.ui_form__required {
    color: #ff0074
}

.btn,
button:not(.unstyled),
input[type=reset],
input[type=submit],
input[type=button] {
    line-height: 16px;
    padding: 1px 6px;
    overflow: hidden
}

input[type=file]::-webkit-file-upload-button {
    line-height: 16px;
    padding: 1px 6px
}

a.btn {
    text-align: center;
    color: inherit;
    text-decoration: none
}

.btn--big,
button.btn--big {
    padding: 5px 10px
}

.skin_outset_deep {
    border-top: 1px solid #fff;
    border-left: 1px solid #fff;
    border-right: 1px solid gray;
    border-bottom: 1px solid gray;
    box-shadow: inset 1px 1px #dfdfdf, 1px 0 #000, 0 1px #000, 1px 1px #000;
    background-color: silver;
    margin-right: 1px;
    margin-bottom: 1px
}

.skin_inset {
    border-top: 1px solid gray;
    border-left: 1px solid gray;
    box-shadow: 1px 0 #fff, 0 1px #fff, 1px 1px #fff;
    background-color: #b8b8b8;
    margin-right: 1px;
    margin-bottom: 1px
}

.skin_outset {
    border-top: 1px solid #fff;
    border-left: 1px solid #fff;
    box-shadow: 1px 0 gray, 0 1px gray, 1px 1px gray;
    background-color: silver;
    margin-right: 1px;
    margin-bottom: 1px
}

.btn,
button:not(.unstyled),
input[type=reset],
input[type=submit],
input[type=button],
.ui_menu--bar .ui_menu__submenu ul,
.ui_menu--menu ul,
.ui_menu--menu .ui_menu__submenu ul {
    color: #000;
    border-top: 1px solid #fff;
    border-left: 1px solid #fff;
    border-right: 1px solid gray;
    border-bottom: 1px solid gray;
    box-shadow: inset 1px 1px #dfdfdf, 1px 0 #000, 0 1px #000, 1px 1px #000;
    background-color: silver;
    position: relative;
    /*z-index: auto;*/
}

.ui_window {
  border-top: 1px solid #fff;
  border-left: 1px solid #fff;
  border-right: 1px solid gray;
  border-bottom: 1px solid gray;
  box-shadow: inset 1px 1px #dfdfdf, 1px 0 #000, 0 1px #000, 1px 1px #000;
  background-color: #0774;
  backdrop-filter: blur(2px);
}

.btn.skin_inset,
button:not(.unstyled).skin_inset,
input[type=reset].skin_inset,
input[type=submit].skin_inset,
input[type=button].skin_inset,
.ui_window.skin_inset,
.ui_menu--bar .ui_menu__submenu ul.skin_inset,
.ui_menu--menu ul.skin_inset,
.ui_menu--menu .ui_menu__submenu ul.skin_inset {
    border-top: 1px solid gray;
    border-left: 1px solid gray;
    box-shadow: 1px 0 #fff, 0 1px #fff, 1px 1px #fff;
    background-color: #b8b8b8;
    border-right: 0;
    border-bottom: 0
}

.btn.skin_outset,
button:not(.unstyled).skin_outset,
input[type=reset].skin_outset,
input[type=submit].skin_outset,
input[type=button].skin_outset,
.ui_window.skin_outset,
.ui_menu--bar .ui_menu__submenu ul.skin_outset,
.ui_menu--menu ul.skin_outset,
.ui_menu--menu .ui_menu__submenu ul.skin_outset {
    border-top: 1px solid #fff;
    border-left: 1px solid #fff;
    box-shadow: 1px 0 gray, 0 1px gray, 1px 1px gray;
    background-color: silver;
    border-right: 0;
    border-bottom: 0
}

select.skin_outset {
    border-top: 1px solid #fff;
    border-left: 1px solid #fff;
    box-shadow: 1px 0 gray, 0 1px gray, 1px 1px gray;
    background-color: silver;
    border-right: 0;
    border-bottom: 0
}

.ui_form_combo>:not(:first-child):not(:last-child) {
    margin-right: 0 !important;
    border-left: 0 none !important
}

.ui_menu--bar .ui_menu__submenu ul,
.ui_menu--menu ul,
.ui_menu--menu .ui_menu__submenu ul,
.skin_outset_deep,
.ui_window {
    border-top: 1px solid silver;
    border-left: 1px solid silver
}

.btn:active:not(:disabled),
button:not(.unstyled):active:not(:disabled),
input[type=reset]:active:not(:disabled),
input[type=submit]:active:not(:disabled),
input[type=button]:active:not(:disabled),
.btn.active,
button:not(.unstyled).active,
input[type=reset].active,
input[type=submit].active,
input[type=button].active,
.btn.pressed,
button:not(.unstyled).pressed,
input[type=reset].pressed,
input[type=submit].pressed,
input[type=button].pressed,
.btn.selected,
button:not(.unstyled).selected,
input[type=reset].selected,
input[type=submit].selected,
input[type=button].selected,
.btn.always-pressed,
button:not(.unstyled).always-pressed,
input[type=reset].always-pressed,
input[type=submit].always-pressed,
input[type=button].always-pressed {
    border-top: 1px solid #000;
    border-left: 1px solid #000;
    border-right: 1px solid #dfdfdf;
    border-bottom: 1px solid #dfdfdf;
    box-shadow: inset 1px 1px gray, 1px 0 #fff, 0 1px #fff, 1px 1px #fff
}

.btn:active:not(:disabled).skin_inset,
button:not(.unstyled):active:not(:disabled).skin_inset,
input[type=reset]:active:not(:disabled).skin_inset,
input[type=submit]:active:not(:disabled).skin_inset,
input[type=button]:active:not(:disabled).skin_inset,
.btn.active.skin_inset,
button:not(.unstyled).active.skin_inset,
input[type=reset].active.skin_inset,
input[type=submit].active.skin_inset,
input[type=button].active.skin_inset,
.btn.pressed.skin_inset,
button:not(.unstyled).pressed.skin_inset,
input[type=reset].pressed.skin_inset,
input[type=submit].pressed.skin_inset,
input[type=button].pressed.skin_inset,
.btn.selected.skin_inset,
button:not(.unstyled).selected.skin_inset,
input[type=reset].selected.skin_inset,
input[type=submit].selected.skin_inset,
input[type=button].selected.skin_inset,
.btn.always-pressed.skin_inset,
button:not(.unstyled).always-pressed.skin_inset,
input[type=reset].always-pressed.skin_inset,
input[type=submit].always-pressed.skin_inset,
input[type=button].always-pressed.skin_inset {
    border-right: 0;
    border-bottom: 0
}

.btn:active:not(:disabled).skin_outset,
button:not(.unstyled):active:not(:disabled).skin_outset,
input[type=reset]:active:not(:disabled).skin_outset,
input[type=submit]:active:not(:disabled).skin_outset,
input[type=button]:active:not(:disabled).skin_outset,
.btn.active.skin_outset,
button:not(.unstyled).active.skin_outset,
input[type=reset].active.skin_outset,
input[type=submit].active.skin_outset,
input[type=button].active.skin_outset,
.btn.pressed.skin_outset,
button:not(.unstyled).pressed.skin_outset,
input[type=reset].pressed.skin_outset,
input[type=submit].pressed.skin_outset,
input[type=button].pressed.skin_outset,
.btn.selected.skin_outset,
button:not(.unstyled).selected.skin_outset,
input[type=reset].selected.skin_outset,
input[type=submit].selected.skin_outset,
input[type=button].selected.skin_outset,
.btn.always-pressed.skin_outset,
button:not(.unstyled).always-pressed.skin_outset,
input[type=reset].always-pressed.skin_outset,
input[type=submit].always-pressed.skin_outset,
input[type=button].always-pressed.skin_outset {
    border-right: 0;
    border-bottom: 0
}

.btn:focus,
button:focus,
input[type=reset]:focus,
input[type=submit]:focus,
input[type=button]:focus {
    outline-color: #000;
    outline-style: dotted;
    outline-width: 1px;
    outline-offset: -3px
}

.btn:focus::-moz-focus-inner,
button:focus::-moz-focus-inner,
input[type=reset]:focus::-moz-focus-inner,
input[type=submit]:focus::-moz-focus-inner,
input[type=button]:focus::-moz-focus-inner {
    border-color: transparent
}

.ui_window__head__pin,
.ui_window__head__config,
.ui_window__head__reload,
.ui_window__head__help,
.ui_window__head__minimize,
.ui_window__head__maximize,
.ui_window__head__maximized,
.ui_window__head__close {
    border-bottom: none !important;border-top: none !important;border-left: none !important;border-right: none !important; box-shadow: none !important;
    font-family: px_icons;
    border: 1px solid silver !important;
    border-top: none !important;
    font-size: 8px;
    width: 20px;
    height: 20px;
    line-height: 14px !important;
    margin-left: -1px;
    text-align: center;
    padding: 0;
    padding-bottom: 1px;
    position: relative;
    top: -4px;
    color: white !important;
    background: linear-gradient(#cccf, #0002) !important;

}

.ui_window__head__close {
    width: 42px !important;
}
.ui_window--active .ui_window__head__close {
    background: linear-gradient(#d00d, #700d) !important;
}

.ui_window__head__pin:focus,
.ui_window__head__config:focus,
.ui_window__head__reload:focus,
.ui_window__head__help:focus,
.ui_window__head__minimize:focus,
.ui_window__head__maximize:focus,
.ui_window__head__maximized:focus,
.ui_window__head__close:focus {
    outline-offset: 0
}

.ui_window__head__pin:hover,
.ui_window__head__config:hover,
.ui_window__head__reload:hover,
.ui_window__head__help:hover,
.ui_window__head__minimize:hover,
.ui_window__head__maximize:hover,
.ui_window__head__maximized:hover,
.ui_window__head__close:hover {
  background: linear-gradient(#07cd, #07ad) !important;
}

.ui_window__head__close:hover {
  background: linear-gradient(#e00f, #900f) !important;
}

.ui_window__head__pin:before,
.ui_window__head__config:before,
.ui_window__head__reload:before,
.ui_window__head__help:before,
.ui_window__head__minimize:before,
.ui_window__head__maximize:before,
.ui_window__head__maximized:before,
.ui_window__head__close:before {
    position: absolute;
    top: 4px;
    width: 8px;
    left: 3px;
}

.ui_window__head__close:before {
    content: "G";
    left: 35%;
}

.ui_window__head__maximize:before {
    content: "F"
}

.ui_window__head__maximized:before {
    content: "E"
}

.ui_window__head__minimize:before {
    content: "D"
}

.ui_window__head__help:before {
    content: "C"
}

.ui_window__head__pin:before {
    content: "A"
}

.ui_window__head__config:before {
    content: "H"
}

.ui_window__head__reload:before {
    content: "P"
}

.ui_window_docked__icon {
    width: 32px;
    height: 32px;
}

.ui_window__head__icon {
    width: 16px;
    height: 16px
}

.ui_window {
    padding-right: 6px;
    padding-left: 7px;
    padding-top: 3px;
    padding-bottom: 7px;
    box-shadow: 1px 0 #000, 0 1px #000, 1px 1px #000, inset 1px 1px #fff, 0 0 5px 2px #000;
}

.ui_window__head {
    color: #fff;
    padding-top: 2px;
    padding-right: 2px;
    padding-left: 2px;
    padding-bottom: 1px;
    margin-bottom: 2px;
    /*background-image: linear-gradient(to left, #007070 0, #700070 100%)*/
}

#s42_start * {
    position: relative;
    top: -1px;
}

#s42_start span,
.ui_window__head__title,
.ui_window_docked__text {
    padding-left: 5px;
    height: 16px
}

.skin_background {
    background: url("/c/files/images/png/bg.png") no-repeat center fixed;
    background-size: cover;
}

.ui_note {
    box-shadow: 1px 1px 5px 0 rgba(0, 0, 0, .2), 0 0 150px 1px rgba(255, 0, 255, .5) !important
}

.ui_menu__separator {
    border-bottom: 1px solid #dfdfdf;
    background-color: gray
}

.ui_terminal {
    background-color: #000;
    color: #c3ff00;
    font-size: 10px
}

.ui_texteditor {
    padding: 0
}

.ui_texteditor .CodeMirror {
    position: absolute !important;
    top: 0 !important;
    bottom: 0 !important;
    left: 0 !important;
    right: 0 !important;
    width: auto !important;
    height: auto !important;
    z-index: 1
}

#s42_taskbar {
    padding: 1px;
    padding-top: 1px;
    margin: 0;
    height: 40px;
    background: #0774;
    z-index: 10000;
    backdrop-filter: blur(2px);
    border-top: 1px solid #00ddfda0;
    /*margin-bottom: 2px;*/
}

input[type=range] {
    -webkit-appearance: none;
    background: transparent;
    padding: 0;
    margin: 0;
    width: 100%;
    height: 22px
}

input[type=range]::-moz-focus-outer {
    border: 0
}

input[type=range]:focus {
    outline: 0 none
}

input[type=range]::-webkit-slider-runnable-track {
    width: 100%;
    height: 8px;
    cursor: pointer;
    background: silver;
    border: 1px solid gray;
    border-top: 1px solid gray;
    border-left: 1px solid gray;
    border-right: 1px solid #dfdfdf;
    border-bottom: 1px solid #dfdfdf;
    box-shadow: 1px 0 #fff, 0 1px #fff, 1px 1px #fff
}

input[type=range]:focus::-webkit-slider-runnable-track {
    background: #cdcdcd;
    outline: 0 none
}

input[type=range]::-moz-range-track {
    width: 100%;
    height: 8px;
    cursor: pointer;
    background: silver;
    border: 1px solid gray;
    border-top: 1px solid gray;
    border-left: 1px solid gray;
    border-right: 1px solid #dfdfdf;
    border-bottom: 1px solid #dfdfdf;
    box-shadow: 1px 0 #fff, 0 1px #fff, 1px 1px #fff
}

input[type=range]::-ms-track {
    width: 100%;
    height: 8px;
    cursor: pointer;
    background: transparent;
    border-color: transparent;
    color: transparent
}

input[type=range]::-ms-fill-lower {
    background: silver;
    border: 1px solid gray;
    border-top: 1px solid gray;
    border-left: 1px solid gray;
    border-right: 1px solid #dfdfdf;
    border-bottom: 1px solid #dfdfdf;
    box-shadow: 1px 0 #fff, 0 1px #fff, 1px 1px #fff
}

input[type=range]::-ms-fill-upper {
    background: silver;
    border: 1px solid gray;
    border-top: 1px solid gray;
    border-left: 1px solid gray;
    border-right: 1px solid #dfdfdf;
    border-bottom: 1px solid #dfdfdf;
    box-shadow: 1px 0 #fff, 0 1px #fff, 1px 1px #fff
}

input[type=range]:focus::-ms-fill-lower {
    background: #cdcdcd;
    outline: 0 none
}

input[type=range]:focus::-ms-fill-upper {
    background: #cdcdcd;
    outline: 0 none
}

input[type=range]::-webkit-slider-thumb {
    -webkit-appearance: none;
    margin-top: -8px;
    border-top: 1px solid #fff;
    border-left: 1px solid #fff;
    border-right: 1px solid gray;
    border-bottom: 1px solid gray;
    box-shadow: inset 1px 1px #dfdfdf, 1px 0 #000, 0 1px #000, 1px 1px #000;
    height: 22px;
    width: 8px;
    cursor: pointer;
    border-radius: 0;
    background: silver;
    background-color: silver
}

input[type=range]::-moz-range-thumb {
    border-top: 1px solid #fff;
    border-left: 1px solid #fff;
    border-right: 1px solid gray;
    border-bottom: 1px solid gray;
    box-shadow: inset 1px 1px #dfdfdf, 1px 0 #000, 0 1px #000, 1px 1px #000;
    height: 22px;
    width: 8px;
    cursor: pointer;
    border-radius: 0;
    background: silver;
    background-color: silver;
    height: 21px;
    width: 6px
}

input[type=range]::-ms-thumb {
    border-top: 1px solid #fff;
    border-left: 1px solid #fff;
    border-right: 1px solid gray;
    border-bottom: 1px solid gray;
    box-shadow: inset 1px 1px #dfdfdf, 1px 0 #000, 0 1px #000, 1px 1px #000;
    height: 22px;
    width: 8px;
    cursor: pointer;
    border-radius: 0;
    background: silver;
    background-color: silver;
    height: 8px
}

.skin_base {
    background: silver
}

.skin_deep {
    background: gray
}

.skin_deeper {
    background: #555
}

.skin_front {
    background: #999
}

.skin_fronter {
    background: #ccc
}

.skin_light,
.ui_alert--help .ui_alert__text {
    background: #fff
}

.skin_dark {
    background: #000
}

.skin_error {
    background: #861e1e
}

.skin_txt_base {
    color: silver
}

.skin_txt_deep {
    color: gray
}

.skin_txt_deeper {
    color: #555
}

.skin_txt_front {
    color: #999
}

.skin_txt_fronter {
    color: #ccc
}

.skin_txt_light {
    color: #fff
}

.skin_txt_dark {
    color: #000
}

.skin_txt_negative,
.skin_txt_error {
    color: #861e1e
}

.ui_alert--help .ui_alert__text {
    margin: 0;
    padding: 15px
}

.skin_nerd {
    color: #c3ff00;
    background: #000
}

.skin_nerd .ui_terminal {
    background: #000
}

.skin_nerd .ui_window {
    background: #000;
    border: 1px solid #506900;
    box-shadow: 0 0 0 transparent
}

.skin_nerd .skin_inset {
    border: 1px solid #506900;
    box-shadow: 0 0 0 transparent
}

.skin_nerd button {
    color: #c3ff00;
    background-color: #000;
    border: 0 none;
    box-shadow: 0 0 0 transparent
}

.skin_nerd button.pressed {
    color: #fff;
    border: 0 none;
    box-shadow: 0 0 0 transparent
}

.skin_nerd .skin_scrollbar ::-webkit-scrollbar {
    height: 8px;
    width: 8px;
    background: #0d1811
}

.skin_nerd .skin_scrollbar ::-webkit-scrollbar-thumb {
    background: #506900
}

.skin_nerd .skin_scrollbar ::-webkit-scrollbar-corner {
    background: #506900
}

.skin_nerd .ui_hilit {
    background-color: #0d1811
}

.skin_nerd .sh_comment,
.skin_nerd .sh_comment span:not(.ui_log__unherit) {
    color: #4b512f
}

.skin_nerd .ui_log__green--light,
.skin_nerd .ui_log__green--light :not(.ui_log__unherit) {
    color: #00a628
}

.skin_nerd .ui_log__green,
.skin_nerd .ui_log__green :not(.ui_log__unherit) {
    color: #00a628
}

.skin_scrollbar ::-webkit-scrollbar {
    height: 8px;
    width: 8px;
    background: rgba(0, 0, 0, .4)
}

.skin_scrollbar ::-webkit-scrollbar-thumb {
    background: rgba(125, 125, 125, .3)
}

.skin_scrollbar ::-webkit-scrollbar-corner {
    background: rgba(125, 125, 125, .3)
}

[data-menuitem-selected=true]>.ui_form-ico-checkbox:after,
[data-menuitem-selected=true]>.ui_form-ico-radio:after {
    font-family: "Segoe UI", "LC1";
    font-size: 8px;
    vertical-align: top
}

.ui_menu--bar .ui_menu__item--opener:after,
.ui_menu--menu .ui_menu__item--opener:after,
.ui_menu--tree .ui_menu__item--opener:after {
    font-family: "Segoe UI", "LC1";
    font-size: 8px;
    content: '▸'
}

.ui_menu--bar>ul>li.ui_menu__item--opener:after,
.ui_menu--tree .ui_menu__item--focus.ui_menu__item--opener:after,
.ui_menu--scroller>.ui_menu__down_handler:after {
    content: '▾';
    font-family: "Segoe UI", "LC1";
    font-size: 8px;
    -ms-transform: none;
    transform: none
}

.ui_menu--scroller>.ui_menu__up_handler:after {
    content: '▴';
    font-family: "Segoe UI", "LC1";
    font-size: 8px;
    -ms-transform: none;
    transform: none
}

.ui_menu--bar>ul>li.ui_menu__item--opener:after {
    content: '';
    display: none
}

.ui_menu--bar>ul>.ui_menu__item--opener {
    padding-right: 0
}

.ui_menu--bar>ul>.ui_menu__item>.ui_menu__item__text {
    padding: 2px 3px;
    padding-left: 2px
}

.ui_explorer__nav__input {
    border-left: 0 none !important;
    border-right: 0 none !important;
    box-shadow: none !important
}

.ui_explorer__nav {
    margin-bottom: 1px
}

.ui_progress {
    font-family: "Segoe UI";
    background: #aaa
}

.ui_progress__bar {
    background: #020282;
    background: linear-gradient(90deg, #020282 8px, transparent 8px);
    background-size: 10px 50px
}

.ui_progress__hint {
    font-family: "Segoe UI";
    color: #fff;
    text-shadow: 0 1px 0 #444, 0 -1px 0 #444, -1px 0 0 #444, 1px 0 0 #444, -1px -1px 0 #444, 1px -1px 0 #444, -1px 1px 0 #444, 1px 1px 0 #444
}

@keyframes blinker {
    0% {
        visibility: visible
    }

    50% {
        visibility: hidden
    }

    100% {
        visibility: visible
    }
}

@keyframes displayBiosError {
    0% {
        opacity: 0;
        height: 0;
        max-height: 0;
        line-height: 0
    }

    99.99% {
        opacity: 0;
        height: 0;
        max-height: 0;
        line-height: 0
    }

    100% {
        opacity: 1;
        height: 16px;
        max-height: 16px;
        line-height: 1
    }
}
